local properties = {
	-- EntityName, reach, damage
	{"mobs_mc:cow",       2, 4},
	{"mobs_mc:mooshroom", 2, 4},
	{"mobs_mc:sheep",     2, 4},
	{"mobs_mc:pig",       1, 3},
	{"mobs_mc:chicken",   1, 2},
	{"mobs_mc:horse",     2, 5},
	{"mobs_mc:donkey",    2, 4},
	{"mobs_mc:mule",      2, 4},
	{"mobs_mc:rabbit",    1, 2},
	{"mobs_mc:ocelot",    1, 3},
}

for _, row in ipairs(properties) do
	local def = minetest.registered_entities[row[1]]

	def.passive = false
	def.runaway = false
	def.attack_type = "dogfight"
	def.attack_npcs = false
	def.reach = row[2]
	def.damage = row[3]

	minetest.registered_entities[row[1]] = def
end
